"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var core_1 = require("@angular/core");
var converterregistry_service_1 = require("./converterregistry.service");
var inputcomponentmanager_service_1 = require("./inputcomponentmanager.service");
var nativelibrarywrapper_service_1 = require("./nativelibrarywrapper.service");
var AppComponent = (function () {
    function AppComponent(converterRegistryService, inputComponentManagerService) {
        this.converterRegistryService = converterRegistryService;
        this.inputComponentManagerService = inputComponentManagerService;
        this.steps = [];
        this.converters = [];
    }
    AppComponent.prototype.convert = function (step, $event) {
        step.selectedConverter = this.converterRegistryService.getConverter($event.target.selectedOptions[0].id);
        this.update(step);
    };
    AppComponent.prototype.update = function (step) {
        var converter = step.selectedConverter;
        if (converter !== undefined) {
            var content = step.content;
            var result = void 0;
            try {
                result = converter.convert(content);
            }
            catch (error) {
                if (typeof console === "object" && typeof console.log === "function") {
                    console.log(error);
                }
                step.message = error.message;
                step.error = true;
                result = null;
            }
            if (result !== null) {
                step.message = "";
                step.error = false;
                if (result !== "") {
                    var nextComponent = this.inputComponentManagerService.getNext(step);
                    nextComponent.content = result;
                    this.update(nextComponent);
                }
            }
        }
    };
    AppComponent.prototype.ngOnInit = function () {
        this.converters = this.converterRegistryService.getAllConverters();
        this.steps = this.inputComponentManagerService.getAllComponents();
        this.inputComponentManagerService.getFirst();
    };
    AppComponent = __decorate([
        core_1.Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
            providers: [converterregistry_service_1.ConverterRegistryService, inputcomponentmanager_service_1.InputComponentManagerService, nativelibrarywrapper_service_1.NativeLibraryWrapperService]
        })
    ], AppComponent);
    return AppComponent;
}());
exports.AppComponent = AppComponent;
